org.apache.xmlbeans.xml.stream

## Interface XMLEvent

All Known Subinterfaces:
  ChangePrefixMapping, CharacterData, Comment, EndDocument, EndElement, EndPrefixMapping, EntityReference, ProcessingInstruction, Space, StartDocument, StartElement, StartPrefixMapping

All Known Implementing Classes:
  XmlEventBase

    public interface XMLEvent

This is the base element interface for handling markup events.

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `CharacterData`, `ProcessingInstruction`, `StartElement`, `EndElement`, `CharacterData`, `XMLName`, `StartDocument`

### Field Summary

Fields
`static int` `CHANGE_PREFIX_MAPPING` A constant which identifies a ChangePrefixMapping
`static int` `CHARACTER_DATA` A constant which identifies a CharacterData Event
`static int` `COMMENT` A constant which identifies a Comment
`static int` `END_DOCUMENT` A constant which identifies an EndDocument
`static int` `END_ELEMENT` A constant which identifies an EndElement
`static int` `END_PREFIX_MAPPING` A constant which identifies a EndPrefixMapping
`static int` `ENTITY_REFERENCE` A constant which identifies an EntityReference
`static int` `NULL_ELEMENT` A constant which identifies a NullElement
`static int` `PROCESSING_INSTRUCTION` A constant which identifies a ProcessingInstruction
`static int` `SPACE` A constant which identifies a Space
`static int` `START_DOCUMENT` A constant which identifies a StartDocument
`static int` `START_ELEMENT` A constant which identifies a StartElement
`static int` `START_PREFIX_MAPPING` A constant which identifies a StartPrefixMapping
`static int` `XML_EVENT` A constant which identifies an XMLEvent

### Method Summary

All Methods Instance Methods Abstract Methods
`Location` `getLocation()` Return the location of this Element
`XMLName` `getName()` Get the XMLName of the current element
`XMLName` `getSchemaType()` Get the event type of the current element, returns an integer so that switch statements can be written on the result
`int` `getType()` Get the event type of the current element, returns an integer so that switch statements can be written on the result
`String` `getTypeAsString()` Get the string value of the type name
`boolean` `hasName()` Check if this Element has a name
`boolean` `isChangePrefixMapping()`
`boolean` `isCharacterData()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEndPrefixMapping()`
`boolean` `isEntityReference()`
`boolean` `isNull()`
`boolean` `isProcessingInstruction()`
`boolean` `isSpace()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()` Method access to the elements type
`boolean` `isStartPrefixMapping()`

### Field Detail

#### XML_EVENT

    static final int XML_EVENT

A constant which identifies an XMLEvent

See Also:
  `XMLEvent`, Constant Field Values

#### START_ELEMENT

    static final int START_ELEMENT

A constant which identifies a StartElement

See Also:
  `StartElement`, Constant Field Values

#### END_ELEMENT

    static final int END_ELEMENT

A constant which identifies an EndElement

See Also:
  `EndElement`, Constant Field Values

#### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

A constant which identifies a ProcessingInstruction

See Also:
  `ProcessingInstruction`, Constant Field Values

#### CHARACTER_DATA

    static final int CHARACTER_DATA

A constant which identifies a CharacterData Event

See Also:
  `CharacterData`, Constant Field Values

#### COMMENT

    static final int COMMENT

A constant which identifies a Comment

See Also:
  `Comment`, Constant Field Values

#### SPACE

    static final int SPACE

A constant which identifies a Space

See Also:
  `Space`, Constant Field Values

#### NULL_ELEMENT

    static final int NULL_ELEMENT

A constant which identifies a NullElement

See Also:
  Constant Field Values

#### START_DOCUMENT

    static final int START_DOCUMENT

A constant which identifies a StartDocument

See Also:
  `StartDocument`, Constant Field Values

#### END_DOCUMENT

    static final int END_DOCUMENT

A constant which identifies an EndDocument

See Also:
  `EndDocument`, Constant Field Values

#### START_PREFIX_MAPPING

    static final int START_PREFIX_MAPPING

A constant which identifies a StartPrefixMapping

See Also:
  `StartPrefixMapping`, Constant Field Values

#### END_PREFIX_MAPPING

    static final int END_PREFIX_MAPPING

A constant which identifies a EndPrefixMapping

See Also:
  `EndPrefixMapping`, Constant Field Values

#### CHANGE_PREFIX_MAPPING

    static final int CHANGE_PREFIX_MAPPING

A constant which identifies a ChangePrefixMapping

See Also:
  `ChangePrefixMapping`, Constant Field Values

#### ENTITY_REFERENCE

    static final int ENTITY_REFERENCE

A constant which identifies an EntityReference

See Also:
  `EntityReference`, Constant Field Values

### Method Detail

#### getType

    int getType()

Get the event type of the current element, returns an integer so that switch statements can be written on the result

#### getSchemaType

    XMLName getSchemaType()

Get the event type of the current element, returns an integer so that switch statements can be written on the result

#### getTypeAsString

    String getTypeAsString()

Get the string value of the type name

#### getName

    XMLName getName()

Get the XMLName of the current element

See Also:
  `XMLName`

#### hasName

    boolean hasName()

Check if this Element has a name

#### getLocation

    Location getLocation()

Return the location of this Element

#### isStartElement

    boolean isStartElement()

Method access to the elements type

#### isEndElement

    boolean isEndElement()

#### isEntityReference

    boolean isEntityReference()

#### isStartPrefixMapping

    boolean isStartPrefixMapping()

#### isEndPrefixMapping

    boolean isEndPrefixMapping()

#### isChangePrefixMapping

    boolean isChangePrefixMapping()

#### isProcessingInstruction

    boolean isProcessingInstruction()

#### isCharacterData

    boolean isCharacterData()

#### isSpace

    boolean isSpace()

#### isNull

    boolean isNull()

#### isStartDocument

    boolean isStartDocument()

#### isEndDocument

    boolean isEndDocument()